org.firstinspires.ftc.robotcore.external.matrices

## Class RowMatrixF

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.matrices.MatrixF
  - - org.firstinspires.ftc.robotcore.external.matrices.RowMatrixF

-     public class RowMatrixF
      extends MatrixF

  A `ColumnMatrixF` is a matrix that converts a VectorF into a 1xn matrix

- - ### Field Summary

    - ### Fields inherited from class org.firstinspires.ftc.robotcore.external.matrices.MatrixF

      `numCols, numRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowMatrixF(VectorF vector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixF` | `emptyMatrix(int numRows, int numCols)` Returns a new empty matrix of the indicated dimensions.
    `float` | `get(int row, int col)` Returns a particular element of this matrix
    `void` | `put(int row, int col, float value)` Updates a particular element of this matrix

    - ### Methods inherited from class org.firstinspires.ftc.robotcore.external.matrices.MatrixF

      `adaptHomogeneous, add, add, add, added, added, added, diagonalMatrix, diagonalMatrix, dimensionsError, dimensionsError, formatAsTransform, formatAsTransform, getColumn, getRow, getTranslation, identityMatrix, inverted, multiplied, multiplied, multiplied, multiplied, multiply, multiply, multiply, multiply, numCols, numRows, slice, slice, subtract, subtract, subtract, subtracted, subtracted, subtracted, toString, toVector, transform, transposed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowMatrixF

          public RowMatrixF(VectorF vector)

  - ### Method Detail

    - #### get

          public float get(int row,
                           int col)

      Description copied from class: `MatrixF`
      Returns a particular element of this matrix
      Specified by:
        `get` in class `MatrixF`
      Parameters:
        `row` - the index of the row of the element to return
        `col` - the index of the column of the element to return
      Returns:
        the element at the indicated row and column
      See Also:
        `MatrixF.put(int, int, float)`

    - #### put

          public void put(int row,
                          int col,
                          float value)

      Description copied from class: `MatrixF`
      Updates a particular element of this matrix
      Specified by:
        `put` in class `MatrixF`
      Parameters:
        `row` - the index of the row of the element to update
        `col` - the index of the column of the element to update
        `value` - the new value for the indicated element

    - #### emptyMatrix

          public MatrixF emptyMatrix(int numRows,
                                     int numCols)

      Description copied from class: `MatrixF`
      Returns a new empty matrix of the indicated dimensions. If a specific implementation associated with the receiver can be used with these dimensions, then such is used; otherwise a general matrix implementation will be used.
      Specified by:
        `emptyMatrix` in class `MatrixF`
      Returns:
        a new empty matrix of the indicated dimensions
      See Also:
        `OpenGLMatrix.emptyMatrix(int, int)`